<!-- Template repository: https://github.com/pawamoy/jinja-templates
     Template path: credits.md
-->

# Credits
These projects were used to build `pytkdocs`. **Thank you!**

[`python`](https://www.python.org/) |
[`poetry`](https://poetry.eustace.io/) |
[`copier-poetry`](https://github.com/pawamoy/copier-poetry)

### Direct dependencies
[`autoflake`](https://github.com/myint/autoflake) |
[`black`](https://github.com/psf/black) |
[`cached-property`](https://github.com/pydanny/cached-property) |
[`dataclasses`](https://github.com/ericvsmith/dataclasses) |
[`docstring_parser`]() |
[`duty`](https://github.com/pawamoy/duty) |
[`flake8-black`](https://github.com/peterjc/flake8-black) |
[`flake8-builtins`](https://github.com/gforcada/flake8-builtins) |
[`flake8-pytest-style`](https://pypi.org/project/flake8-pytest-style) |
[`flake8-tidy-imports`](https://github.com/adamchainz/flake8-tidy-imports) |
[`flake8-variables-names`](https://github.com/best-doctor/flake8-variables-names) |
[`flakehell`](None) |
[`git-changelog`](https://github.com/pawamoy/git-changelog) |
[`httpx`](https://github.com/encode/httpx) |
[`ipython`](https://ipython.org) |
[`isort`](https://github.com/timothycrosley/isort) |
[`jinja2-cli`](https://github.com/mattrobenolt/jinja2-cli) |
[`markdown-include`](https://github.com/cmacmackin/markdown-include/) |
[`marshmallow`](https://github.com/marshmallow-code/marshmallow) |
[`mkdocs`](https://www.mkdocs.org) |
[`mkdocs-material`](https://squidfunk.github.io/mkdocs-material/) |
[`mkdocstrings`](https://github.com/pawamoy/mkdocstrings) |
[`mypy`](http://www.mypy-lang.org/) |
[`pydantic`](https://github.com/samuelcolvin/pydantic) |
[`pytest`](https://docs.pytest.org/en/latest/) |
[`pytest-cov`](https://github.com/pytest-dev/pytest-cov) |
[`pytest-randomly`](https://github.com/pytest-dev/pytest-randomly) |
[`pytest-sugar`](http://pivotfinland.com/pytest-sugar/) |
[`pytest-xdist`](https://github.com/pytest-dev/pytest-xdist) |
[`toml`](https://github.com/uiri/toml) |
[`typing-extensions`](https://github.com/python/typing/blob/master/typing_extensions/README.rst) |
[`wemake-python-styleguide`](https://wemake-python-stylegui.de)

### Indirect dependencies
[`ansimarkup`](https://github.com/gvalkov/python-ansimarkup) |
[`apipkg`](https://github.com/pytest-dev/apipkg) |
[`appdirs`](http://github.com/ActiveState/appdirs) |
[`appnope`](http://github.com/minrk/appnope) |
[`astor`](https://github.com/berkerpeksag/astor) |
[`astroid`](https://github.com/PyCQA/astroid) |
[`atomicwrites`](https://github.com/untitaker/python-atomicwrites) |
[`attrs`](https://www.attrs.org/) |
[`backcall`](https://github.com/takluyver/backcall) |
[`bandit`](https://bandit.readthedocs.io/en/latest/) |
[`certifi`](https://certifiio.readthedocs.io/en/latest/) |
[`chardet`](https://github.com/chardet/chardet) |
[`click`](https://palletsprojects.com/p/click/) |
[`colorama`](https://github.com/tartley/colorama) |
[`contextvars`](http://github.com/MagicStack/contextvars) |
[`coverage`](https://github.com/nedbat/coveragepy) |
[`darglint`](None) |
[`decorator`](https://github.com/micheles/decorator) |
[`docstring-parser`](https://github.com/rr-/docstring_parser) |
[`docutils`](http://docutils.sourceforge.net/) |
[`entrypoints`](https://github.com/takluyver/entrypoints) |
[`eradicate`](https://github.com/myint/eradicate) |
[`execnet`](https://execnet.readthedocs.io/en/latest/) |
[`failprint`](https://github.com/pawamoy/failprint) |
[`flake8`](https://gitlab.com/pycqa/flake8) |
[`flake8-bandit`](https://github.com/tylerwince/flake8-bandit) |
[`flake8-broken-line`](https://github.com/sobolevn/flake8-broken-line) |
[`flake8-bugbear`](https://github.com/PyCQA/flake8-bugbear) |
[`flake8-commas`](https://github.com/PyCQA/flake8-commas/) |
[`flake8-comprehensions`](https://github.com/adamchainz/flake8-comprehensions) |
[`flake8-debugger`](https://github.com/jbkahn/flake8-debugger) |
[`flake8-docstrings`](https://gitlab.com/pycqa/flake8-docstrings) |
[`flake8-eradicate`](https://github.com/sobolevn/flake8-eradicate) |
[`flake8-isort`](https://github.com/gforcada/flake8-isort) |
[`flake8-plugin-utils`](https://pypi.org/project/flake8-plugin-utils) |
[`flake8-polyfill`](https://gitlab.com/pycqa/flake8-polyfill) |
[`flake8-quotes`](http://github.com/zheller/flake8-quotes/) |
[`flake8-rst-docstrings`](https://github.com/peterjc/flake8-rst-docstrings) |
[`flake8-string-format`](https://github.com/xZise/flake8-string-format) |
[`future`](https://python-future.org) |
[`gitdb`](https://github.com/gitpython-developers/gitdb) |
[`GitPython`](https://github.com/gitpython-developers/GitPython) |
[`h11`](https://github.com/python-hyper/h11) |
[`httpcore`](https://github.com/encode/httpcore) |
[`idna`](https://github.com/kjd/idna) |
[`immutables`](https://github.com/MagicStack/immutables) |
[`importlib-metadata`](https://github.com/python/importlib_metadata) |
[`iniconfig`](http://github.com/RonnyPfannschmidt/iniconfig) |
[`ipython-genutils`](http://ipython.org) |
[`jedi`](https://github.com/davidhalter/jedi) |
[`Jinja2`](https://palletsprojects.com/p/jinja/) |
[`joblib`](https://joblib.readthedocs.io) |
[`lazy-object-proxy`](https://github.com/ionelmc/python-lazy-object-proxy) |
[`livereload`](https://github.com/lepture/python-livereload) |
[`lunr`](https://github.com/yeraydiazdiaz/lunr.py) |
[`Markdown`](https://Python-Markdown.github.io/) |
[`MarkupSafe`](https://palletsprojects.com/p/markupsafe/) |
[`mccabe`](https://github.com/pycqa/mccabe) |
[`mkdocs-material-extensions`](https://github.com/facelessuser/mkdocs-material-extensions) |
[`mypy-extensions`](https://github.com/python/mypy_extensions) |
[`nltk`](http://nltk.org/) |
[`packaging`](https://github.com/pypa/packaging) |
[`parso`](https://github.com/davidhalter/parso) |
[`pathspec`](https://github.com/cpburnz/python-path-specification) |
[`pbr`](https://docs.openstack.org/pbr/latest/) |
[`pep8-naming`](https://github.com/PyCQA/pep8-naming) |
[`pexpect`](https://pexpect.readthedocs.io/) |
[`pickleshare`](https://github.com/pickleshare/pickleshare) |
[`pluggy`](https://github.com/pytest-dev/pluggy) |
[`prompt-toolkit`](https://github.com/prompt-toolkit/python-prompt-toolkit) |
[`ptyprocess`](https://github.com/pexpect/ptyprocess) |
[`py`](https://py.readthedocs.io/) |
[`pycodestyle`](https://pycodestyle.readthedocs.io/) |
[`pydocstyle`](https://github.com/PyCQA/pydocstyle/) |
[`pyflakes`](https://github.com/PyCQA/pyflakes) |
[`Pygments`](https://pygments.org/) |
[`pylint`](https://github.com/PyCQA/pylint) |
[`pymdown-extensions`](https://github.com/facelessuser/pymdown-extensions) |
[`pyparsing`](https://github.com/pyparsing/pyparsing/) |
[`pytest-forked`](https://github.com/pytest-dev/pytest-forked) |
[`PyYAML`](https://pyyaml.org/) |
[`regex`](https://bitbucket.org/mrabarnett/mrab-regex) |
[`restructuredtext-lint`](https://github.com/twolfson/restructuredtext-lint) |
[`rfc3986`](http://rfc3986.readthedocs.io) |
[`six`](https://github.com/benjaminp/six) |
[`smmap`](https://github.com/gitpython-developers/smmap) |
[`sniffio`](https://github.com/python-trio/sniffio) |
[`snowballstemmer`](https://github.com/snowballstem/snowball) |
[`stevedore`](https://docs.openstack.org/stevedore/latest/) |
[`termcolor`](http://pypi.python.org/pypi/termcolor) |
[`testfixtures`](https://github.com/Simplistix/testfixtures) |
[`tornado`](http://www.tornadoweb.org/) |
[`tqdm`](https://github.com/tqdm/tqdm) |
[`traitlets`](http://ipython.org) |
[`typed-ast`](https://github.com/python/typed_ast) |
[`urllib3`](https://urllib3.readthedocs.io/) |
[`wcwidth`](https://github.com/jquast/wcwidth) |
[`wrapt`](https://github.com/GrahamDumpleton/wrapt) |
[`zipp`](https://github.com/jaraco/zipp)

**[More credits from the author](http://pawamoy.github.io/credits/)**